<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>pl.alx.kjava</groupId>
	<artifactId>PC33-RestKlient</artifactId>
	<version>1.0</version>

	<properties>
		<maven.compiler.release>17</maven.compiler.release>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<resteasy.version>6.2.4.Final</resteasy.version>
	</properties>

	<build>
		<finalName>${project.artifactId}</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.10.1</version>
			</plugin>
		</plugins>
	</build>

	<dependencies>
		<!-- implementacje technilogii Jakarta JSON P - glassfish to starsza wersja, a Eclipse Parsson to nowsza -->
		<!--
		<dependency>
		    <groupId>org.glassfish</groupId>
		    <artifactId>jakarta.json</artifactId>
		    <version>2.0.1</version>
		</dependency>
		-->
		<dependency>
			<groupId>org.eclipse.parsson</groupId>
			<artifactId>parsson</artifactId>
			<version>1.1.4</version>
		</dependency>
		<dependency>
		    <groupId>org.jboss.resteasy</groupId>
		    <artifactId>resteasy-client</artifactId>
		    <version>${resteasy.version}</version>
		</dependency>
		<dependency>
		    <groupId>org.jboss.resteasy</groupId>
		    <artifactId>resteasy-jaxb-provider</artifactId>
		    <version>${resteasy.version}</version>
		</dependency>
		<dependency>
		    <groupId>org.jboss.resteasy</groupId>
		    <artifactId>resteasy-jackson2-provider</artifactId>
		    <version>${resteasy.version}</version>
		</dependency>
	</dependencies>
</project>